# Generated by Django 4.0.4 on 2022-07-05 07:35

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import djrichtextfield.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('common', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Project',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=500, verbose_name='Project name')),
                ('description', djrichtextfield.models.RichTextField(verbose_name='Project description')),
                ('status', models.CharField(choices=[('started', 'Started'), ('ongoing', 'On-Going'), ('done', 'Completed')], max_length=50, verbose_name='Project status')),
                ('funding_agency_details', djrichtextfield.models.RichTextField(blank=True, max_length=500, null=True, verbose_name='Funding Agency name')),
                ('duration', models.CharField(max_length=50, verbose_name='Duration')),
                ('partners', djrichtextfield.models.RichTextField(verbose_name='Project partners')),
                ('members', models.ManyToManyField(to=settings.AUTH_USER_MODEL, verbose_name='Members of the project')),
                ('primary_department', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='department_primary', to='common.department', verbose_name='Primary Department')),
                ('secondary_departments', models.ManyToManyField(related_name='department_secondary', to='common.department', verbose_name='Supporting Departments')),
            ],
            options={
                'verbose_name': 'Projects',
                'verbose_name_plural': 'Projects',
            },
        ),
    ]
